package com.shkj.wms.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.common.core.domain.Result;
import com.shkj.wms.bo.BaseBarcodesInQueryBo;
import com.shkj.wms.domain.BaseBarcodesIn;
import com.shkj.wms.domain.BaseDerive;
import com.shkj.wms.vo.BaseInOutQtyVo;

/**
 * 入库条码信息Mapper接口
 *
 * @author zjx
 * @date 2023-03-29
 */
public interface BaseBarcodesInMapper extends BaseMapper<BaseBarcodesIn> {



    public BaseBarcodesIn getBaseBarcodesInByQuery(BaseDerive bo);

    public BaseBarcodesIn getBaseBarcodesInByDerice(BaseDerive bo);

    public List<BaseBarcodesIn> getBillInPlanData(BaseBarcodesInQueryBo bo);

    /**
     * 获取当前日期出入库的数量
     * @return
     */
    public BaseInOutQtyVo getCurrentDateInAndOutQty();


}
